<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:tx="http://www.springframework.org/schema/tx" xmlns:aop="http://www.springframework.org/schema/aop"
	xsi:schemaLocation="
    http://www.springframework.org/schema/beans
    http://www.springframework.org/schema/beans/spring-beans-3.0.xsd
    http://www.springframework.org/schema/tx 
    http://www.springframework.org/schema/tx/spring-tx-3.0.xsd
    http://www.springframework.org/schema/aop
    http://www.springframework.org/schema/aop/spring-aop-3.0.xsd">
    
	<bean id="mesureConditionGeneraleDAO" class="org.inra.ecoinfo.glacpe.dataset.conditionprelevement.jpa.JPAMesureConditionGeneraleDAO" parent="abstractDAO" />	
	
	<bean id="conditionGeneraleDAO" class="org.inra.ecoinfo.glacpe.dataset.conditionprelevement.jpa.JPAConditionGeneraleDAO" parent="abstractDAO"/>
	
	<bean id="conditionGeneraleDatatypeManager" class="org.inra.ecoinfo.glacpe.dataset.conditionprelevement.impl.DefaultConditionGeneraleDatatypeManager" parent="MO" >
		<property name="conditionGeneraleDAO" ref="conditionGeneraleDAO"/>	
		<property name="datatypeDAO" ref="datatypeDAO" />	
	</bean>	
	
	<bean id="abstractConditionPrelevementDatasExtractor" class="org.inra.ecoinfo.glacpe.dataset.conditionprelevement.impl.AbstractConditionGeneraleDatasExtractor" parent="abstractExtractor" abstract="true">
		<property name="conditionGeneraleDAO" ref="conditionGeneraleDAO"/>		
	</bean>
	
	<bean id="abstractConditionPrelevementDatasOutputBuilder" class="org.inra.ecoinfo.glacpe.dataset.conditionprelevement.impl.AbstractConditionGeneraleDatasOutputBuilder" parent="abstractOutputBuilder" abstract="true">
		<property name="conditionGeneraleDAO" ref="conditionGeneraleDAO"/>
		<property name="datatypeVariableUniteDAO" ref="datatypeVariableUniteDAO"/>
		<property name="variableDAO" ref="variableDAO"/>				
	</bean>

	<bean id="conditionPrelevementDatasExtractor" class="org.inra.ecoinfo.glacpe.dataset.conditionprelevement.impl.ConditionGeneraleDatasExtractor" parent="abstractConditionPrelevementDatasExtractor"/>
	<bean id="conditionPrelevementDatasOutputBuilder" class="org.inra.ecoinfo.glacpe.dataset.conditionprelevement.impl.ConditionGeneraleDatasOutputBuilder" parent="abstractConditionPrelevementDatasOutputBuilder"/>
	
	<bean id="conditionPrelevementRequestReminderOutputBuilder" class="org.inra.ecoinfo.glacpe.dataset.conditionprelevement.impl.ConditionGeneraleRequestReminderOutputBuilder" parent="abstractOutputBuilder"/>
	
	<bean id="conditionPrelevementExtractor" class="org.inra.ecoinfo.glacpe.dataset.conditionprelevement.impl.DefaultConditionPrelevementExtractor" parent="MO">
		<property name="conditionPrelevementDatasExtractor" ref="conditionPrelevementDatasExtractor"/>
	</bean>
	
	<bean id="conditionPrelevementOutputBuilder" class="org.inra.ecoinfo.glacpe.dataset.conditionprelevement.impl.ConditionGeneraleOutputsBuildersResolver">
		<property name="configuration" ref="coreConfiguration" />
		<property name="conditionPrelevementDatasOutputBuilder" ref="conditionPrelevementDatasOutputBuilder"/>
		<property name="requestReminderOutputBuilder" ref="conditionPrelevementRequestReminderOutputBuilder"/>
		<property name="fileCompConfiguration" ref="fileCompConfiguration" />
                <property name="conditionPrelevementOutputBuilderSandre" ref="conditionPrelevementOutputBuilderSandre" />
	</bean>
        
    
        
        <bean id="conditionPrelevementOutputBuilderSandre" class="org.inra.ecoinfo.glacpe.dataset.conditionprelevement.impl.ConditionPrelevementOutputBuilderSandre" parent="abstractConditionPrelevementDatasOutputBuilder" />
	
	
	<!-- Transparence -->
	
	<bean id="transpRawsDatasExtractor" class="org.inra.ecoinfo.glacpe.dataset.conditionprelevement.impl.TranspRawsDatasExtractor" parent="abstractExtractor">
		<property name="conditionGeneraleDAO" ref="conditionGeneraleDAO"/>
	</bean>
	
	<bean id="transpAggregatedDatasOutputBuilder" class="org.inra.ecoinfo.glacpe.dataset.conditionprelevement.impl.TranspAggregatedDatasOutputBuilder" parent="abstractGLACPEAggregatedDatasOutputBuilder">
		<property name="datatypeVariableUniteDAO" ref="datatypeVariableUniteDAO"/>
		<property name="variableDAO" ref="variableDAO"/>	
	</bean>
	
	<bean id="transpAggregatedDatasExtractor" class="org.inra.ecoinfo.glacpe.dataset.conditionprelevement.impl.TranspAggregatedDatasExtractor" parent="abstractExtractor">
		<property name="conditionGeneraleDAO" ref="conditionGeneraleDAO"/>
	</bean>
	
	<bean id="transpRawsDatasOutputBuilderByLine" class="org.inra.ecoinfo.glacpe.dataset.conditionprelevement.impl.TranspRawsDatasOutputBuilderByLine" parent="abstractPPChloroTranspRawsDatasOutputBuilder" />
	<bean id="transpRawsDatasOutputBuilderByRow" class="org.inra.ecoinfo.glacpe.dataset.conditionprelevement.impl.TranspRawsDatasOutputBuilderByRow" parent="abstractPPChloroTranspRawsDatasOutputBuilder" />
	
       
        <!-- Recorder Conditions prélèvement -->
	
	<bean id="publicationConditionPrelevementDAO" class="org.inra.ecoinfo.glacpe.dataset.conditionprelevement.jpa.JPAPublicationConditionGeneraleDAO" />
	
	<bean id="testValuesConditionGenerale" class="org.inra.ecoinfo.glacpe.dataset.impl.GenericTestValues"
		parent="genericTestValues">
	</bean>
	<bean id="testHeadersConditionGenerale" class="org.inra.ecoinfo.glacpe.dataset.impl.GenericTestHeader"
		parent="genericTestHeaders">
	</bean>
	
	<bean id="testFormatConditionGenerale" class="org.inra.ecoinfo.glacpe.dataset.impl.GenericTestFormat"
		parent="abstractTestFormat">
		<property name="datatypeName" value="condition_prelevement" />
		<property name="testValues" ref="testValuesConditionGenerale" />
		<property name="testHeaders" ref="testHeadersConditionGenerale" />
	</bean>
	
	<bean id="deleteRecordConditionGenerale" class="org.inra.ecoinfo.glacpe.dataset.impl.DeleteRecord"
		parent="deleteRecord">
		<property name="publicationDAO" ref="publicationConditionPrelevementDAO" />
	</bean>
	
	<bean id="processRecordConditionGenerale" class="org.inra.ecoinfo.glacpe.dataset.conditionprelevement.impl.ProcessRecord"
		parent="abstractProcessRecord">
		<property name="mesureConditionGeneraleDAO" ref="mesureConditionGeneraleDAO" />
		<property name="valeurQualitativeDAO" ref="valeurQualitativeDAO" />
		<property name="projetSiteDAO" ref="projetSiteDAO" />
		<property name="plateformeDAO" ref="plateformeDAO" />
		<property name="controleCoherenceDAO" ref="controleCoherenceDAO" />
	</bean>
	
	<bean id="conditionPrelevementRecorder" class="org.inra.ecoinfo.glacpe.dataset.impl.RecorderGLACPE">
		<property name="datasetDescriptorPath" value="conditionprelevement/dataset-descriptor.xml" />
		<property name="testFormat" ref="testFormatConditionGenerale" />
		<property name="deleteRecord" ref="deleteRecordConditionGenerale" />
		<property name="processRecord" ref="processRecordConditionGenerale" />
		<property name="localizationManager" ref="localizationManager" />
	</bean>
</beans>